function [ linearCoefficients, rt, xFit, yFit] = regressline( obalka ,  volbart , fs )
%% VOLBA VYHODNOCOVACIHO ROZMEZI
if volbart==10
dbmax=-5 %[dB]
dbmin=-15
elseif volbart==20
dbmax=-5 %[dB]
dbmin=-25
elseif volbart==30
dbmax=-5 %[dB]
dbmin=-35
end
%% ZKRACENI PRUBEHU NA VYHODNOCOVACI ROZMEZI
hodnotymensi=find(obalka < dbmax);
pocatek=min(hodnotymensi)
hodnotyvetsi=find(obalka > dbmin);
konec=max(hodnotyvetsi)
pokles=obalka(1,pocatek:konec)
%% DEFINICE CASOVE DIFERENCE
delkapoklesu=length(pokles)
n=delkapoklesu
caszkr=delkapoklesu/fs*10
diftime=caszkr/delkapoklesu
t=0:diftime:caszkr-diftime;
%% definice dat
x=t;
y=pokles;
%% LINEARNI REGRESE
linearCoefficients = polyfit(x, y, 1)

%% DOBA DOZVUKU
rt=-60/linearCoefficients(1,1); %[ms]
%% DEFINOVANI KOEFICIENTU PRO GRAF
xFit = linspace(0, rt, fs/10*rt);
koeficienty=[linearCoefficients(1,1),0]
yFit = polyval(koeficienty, xFit);
end

